module TclTime where
import TclCompatibility
import Char

-- this uses the system independent version, but only increments in units
-- of seconds

getTclTime :: IO Int
getTclTime = do secs <- primExecuteTcl "clock seconds"
                return $ (parseInt secs) * 1000



-- ParseInt ----------------------------------------------
 
parseInt :: String -> Int
parseInt s =
	case s of
	  ' ':xs -> parseInt xs
	  '+':xs -> parseInt xs
	  '-':xs -> - (parseInt xs)
	  xs     -> parseInt' xs
      where
	parseInt' = foldl (\n x -> 10 * n + ((ord x) - ord '0')) 0


